


/*------------------------------------*\
  # BLOGS
\*------------------------------------*/

.section-blogs{
    display: flex;
    flex-wrap: wrap;
    gap: 60px;
    justify-content: center;
}



/*------------------------------------*\
  # BLOG ITEMS
\*------------------------------------*/

.blog-item-wrapper{
    width: calc(33% - 120px / 3);
    max-width: 500px;
    position: relative;
    display: block;
    padding: 40px 40px 20px 40px;
    background-color: var(--denipol-foreground-secondary);
    transition: 250ms background-color ease-out;
}
.blog-item-wrapper:hover{
    background-color: var(--denipol-foreground-secondary-hover);
}
.blog-img{
    width: 100%;
    aspect-ratio: 10 / 8;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}
.blog-img:before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(5,59,98,0.8);
    pointer-events: none;
    transition: 300ms all;
    background-image: url('../../img/denipol-logo-small.png');
    background-repeat: no-repeat;
    background-size: 110px;
    background-position: center;
    transition-timing-function: var(--ease-circ);
    opacity: 0;
}
.blog-item-wrapper:hover .blog-img:before{
    opacity: 1;
}
.blog-img img{
    width: 100%;
    height: 100%;
    max-width: unset;
    max-height: unset;
    object-fit: cover;
    transition: 500ms;
    transition-timing-function: var(--ease-circ);
}
.blog-item-wrapper:hover .blog-img > img{
    width: 115%;
    height: 115%;
}
.blog-img .category{
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 10px 20px 10px 10px;
    background-color: var(--denipol-darkblue);
    color: #fff;
}
.blog-title{
    font-size: 1.25rem;
    line-height: 1.25;
    margin-top: 20px;
    font-weight: 600;
    color: var(--denipol-red);
}
.blog-description{
    font-size: .9rem;
    color: #6F6F6F;
    margin: 20px 0;
}
.blog-item .more{
    color: var(--denipol-darkblue);
    font-weight: bold;
    display: flex;
    align-items: end;
    white-space: nowrap;
    line-height: 1;
}
.blog-item .more:after{
    content: "";
    width: 100%;
    height: 2px;
    background-color: var(--denipol-darkblue);
    margin-left: 20px;
	transition: 500ms all;
	transition-timing-function: var(--ease-elastic);
}
.blog-item-wrapper:hover .more:after{
    margin-left: 40px;
}



/*------------------------------------*\
  # BLOG DETAIL
\*------------------------------------*/

.section-carousel-slider .blog-item-wrapper{
    width: 100%;
    background-color: var(--denipol-red);
}
.section-carousel-slider .blog-item-wrapper .news-name,
.section-carousel-slider .blog-title,
.section-carousel-slider .blog-description,
.section-carousel-slider .blog-item .more{
    color: #fff;
}
.section-carousel-slider .blog-img .category,
.section-carousel-slider .blog-item .more:after{
    background-color: #fff;
    color: var(--denipol-darkblue);
}